%define name	guikachu
%define version	1.2.3
%define release	2mdk

Summary:	Guikachu is a resource editor for PalmOS systems.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Other
URL:		http://cactus.rulez.org/projects/guikachu

Source:		%{name}-%{version}.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libgnome32-devel libgtkmm1.2-devel libgnomemm-1.2_9-devel libgdk-pixbuf2-devel libxml-devel libglade0-devel perl

%description
Guikachu is a resource editor for PalmOSTM systems. It allows you to visually
create dialog boxes, menu bars and windows for your Palm application in the
GNOME desktop environment.

It allow to export to PilRC .rcp files.


%prep
%setup

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
# first variable set to 1 seems not to be used but may be in future? (fpons)
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall GCONF_SCHEMA_FILE_DIR=$RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/
find $RPM_BUILD_ROOT%{_datadir}/locale -name %{name}.mo | \
    perl -pe 'm|locale/([^/_]*)(.*)|; $_ = "%%lang($1) %{_datadir}/locale/$1$2\n"' > %{name}.lang

%find_lang %{name}

%post
for schemas in %{_sysconfdir}/gconf/schemas/%{name}-*.schemas; do
  GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool --makefile-install-rule $schemas > /dev/null
done

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README COPYING NEWS TODO AUTHORS ChangeLog ABOUT-NLS INSTALL
%config(noreplace) %{_sysconfdir}/gconf/schemas/%{name}-*.schemas
%{_bindir}/*
%{_datadir}/guikachu
%{_datadir}/application-registry/*
%{_datadir}/gnome/apps/Development/*
%{_datadir}/gnome/help/guikachu
%{_datadir}/pixmaps/*
%{_datadir}/mime-info/*

%changelog
* Thu Aug 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.2.3-2mdk
- rebuild

* Wed Jun 26 2002 Franois Pons <fpons@mandrakesoft.com> 1.2.3-1mdk
- removed patch to compile with g++3.1.
- 1.2.3.

* Mon Jun 03 2002 Franois Pons <fpons@mandrakesoft.com> 1.2.2-1mdk
- created patch to compile with g++3.1.
- 1.2.2.

* Mon Jan 14 2002 Franois Pons <fpons@mandrakesoft.com> 1.0.1-1mdk
- initial release.
